Package org.apache.sling.resourceresolver.impl.providers

# Class ResourceProviderStorage

java.lang.Object
org.apache.sling.resourceresolver.impl.providers.ResourceProviderStorage

public class ResourceProviderStorage extends Object
The resource provider storage contains all available handlers and keeps a list of handlers for specific categories to avoid iterating over all handlers for the different use cases.

## Constructor Summary

Constructors
Constructor
Description
`ResourceProviderStorage(List<ResourceProviderHandler> handlers)`

## Method Summary

Modifier and Type
Method
Description
`List<ResourceProviderHandler>`
`getAdaptableHandlers()`
`List<ResourceProviderHandler>`
`getAllHandlers()`
`List<ResourceProviderHandler>`
`getAttributableHandlers()`
`List<ResourceProviderHandler>`
`getAuthRequiredHandlers()`
`List<ResourceProviderHandler>`
`getLanguageQueryableHandlers()`
`PathTree<ResourceProviderHandler>`
`getTree()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ResourceProviderStorage

public ResourceProviderStorage(List<ResourceProviderHandler> handlers)

## Method Details

### getAllHandlers

public List<ResourceProviderHandler> getAllHandlers()

### getAuthRequiredHandlers

public List<ResourceProviderHandler> getAuthRequiredHandlers()

### getAdaptableHandlers

public List<ResourceProviderHandler> getAdaptableHandlers()

### getAttributableHandlers

public List<ResourceProviderHandler> getAttributableHandlers()

### getLanguageQueryableHandlers

public List<ResourceProviderHandler> getLanguageQueryableHandlers()

### getTree

public PathTree<ResourceProviderHandler> getTree()